<!--
 * @Description: 日常养护施工完成统计页面
 * @Author: @liulin
 * @Date: 2023-03-20 15:33:53
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-24 16:01:36
-->
<template>
  <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
export default {
  name: 'maintenancePatrolStatistics',
  components: {
    TableConfig
  },
  data() {
    return {
      configData: {
        table: [
          {
            label: '路段名称',
            value: 'roadName'
          },
          {
            label: '病害上报总数',
            value: 'deseasaCount'
          },
          {
            label: '病害完成数量',
            value: 'eseasaFinishCount'
          },
          {
            label: '验收数量',
            value: 'finishCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '当前任务单下达总数',
            value: 'issuedCount'
          },
          {
            label: '当前任务单下达金额',
            value: 'issuedMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '当前施工完成数量',
            value: 'workCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '当前施工完成金额',
            value: 'workMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
        ],
        api: 'workOrderInformation/v1/workReport'
      }
    }
  }
}
</script>
<style lang="scss"></style>
